Submit eKYC
POST
/v1/account/register/{regId}/ekyc
const url = 'https://api.parasta.io/v1/account/register/example/ekyc';const form = new FormData();form.append('idCardImage', 'file');form.append('idCardType', 'resident_id');
const options = { method: 'POST', headers: { 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', 'X-Pass-Token': '<X-Pass-Token>' }};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/account/register/example/ekyc \ --header 'Content-Type: multipart/form-data' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'X-Pass-Token: <X-Pass-Token>' \ --form idCardImage=@file \ --form idCardType=resident_idAuthorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” regId
required
string
Header Parameters
Section titled “Header Parameters ” Idempotency-Key
required
string format: uuid
IETF draft-ietf-httpapi-idempotency-key-header. Generated freshly by the client for each request.
Request Body required
Section titled “Request Body required ”object
idCardImage
string format: binary
idCardType
string
object
uploadRef
required
string
idCardType
required
string
Responses
Section titled “ Responses ”OK
Media type application/json
object
step
string
ocrResult
object
name
string
birthDate
string
verified
boolean
Example generated
{ "step": "example", "ocrResult": { "name": "example", "birthDate": "example", "verified": true }}